## lapack 3.6.0

=== Makefile ===
#
#  Top Level Makefile for LAPACK
#  Version 3.4.1
#  April 2012
#

include make.inc

all: lapack_install lib blas_testing lapack_testing 

lib: lapacklib tmglib
#lib: blaslib variants lapacklib tmglib

clean: cleanlib cleantesting cleanblas_testing cleancblas_testing

lapack_install:
	( cd INSTALL; $(MAKE); ./testlsame; ./testslamch; ./testdlamch; \
	./testsecond; ./testdsecnd; ./testieee; ./testversion )

blaslib:
	( cd BLAS/SRC; $(MAKE) )

cblaslib:
	( cd CBLAS/src; $(MAKE) )

lapacklib:	lapack_install
	( cd SRC; $(MAKE) )

lapackelib: lapacklib
	( cd LAPACKE; $(MAKE) )

cblas_example: cblaslib blaslib
	( cd CBLAS/examples; $(MAKE) )

lapacke_example: lapackelib
	( cd LAPACKE/example; $(MAKE) )

variants:
	( cd SRC/VARIANTS ; $(MAKE))

tmglib:
	( cd TESTING/MATGEN; $(MAKE) )

lapack_testing:	lib
	( cd TESTING ; $(MAKE) )
	./lapack_testing.py

variants_testing: lib variants
	( cd TESTING ; rm -f xlintst* ; $(MAKE)  VARLIB='SRC/VARIANTS/LIB/cholrl.a' ; \
	mv stest.out stest_cholrl.out ; mv dtest.out dtest_cholrl.out ; mv ctest.out ctest_cholrl.out ; mv ztest.out ztest_cholrl.out )
	( cd TESTING ; rm -f xlintst* ; $(MAKE)  VARLIB='SRC/VARIANTS/LIB/choltop.a' ; \
	mv stest.out stest_choltop.out ; mv dtest.out dtest_choltop.out ; mv ctest.out ctest_choltop.out ; mv ztest.out ztest_choltop.out )
	( cd TESTING ; rm -f xlintst* ; $(MAKE)  VARLIB='SRC/VARIANTS/LIB/lucr.a' ; \
	mv stest.out stest_lucr.out ; mv dtest.out dtest_lucr.out ; mv ctest.out ctest_lucr.out ; mv ztest.out ztest_lucr.out )
	( cd TESTING ;  rm -f xlintst* ; $(MAKE)  VARLIB='SRC/VARIANTS/LIB/lull.a' ; \
	mv stest.out stest_lull.out ; mv dtest.out dtest_lull.out ; mv ctest.out ctest_lull.out ; mv ztest.out ztest_lull.out )
	( cd TESTING ;  rm -f xlintst* ; $(MAKE)  VARLIB='SRC/VARIANTS/LIB/lurec.a' ; \
	mv stest.out stest_lurec.out ; mv dtest.out dtest_lurec.out ; mv ctest.out ctest_lurec.out ; mv ztest.out ztest_lurec.out )
	( cd TESTING ;  rm -f xlintst* ; $(MAKE)  VARLIB='SRC/VARIANTS/LIB/qrll.a' ; \
	mv stest.out stest_qrll.out ; mv dtest.out dtest_qrll.out ; mv ctest.out ctest_qrll.out ; mv ztest.out ztest_qrll.out )
	
blas_testing:
	( cd BLAS/TESTING; $(MAKE) -f Makeblat1 )
	( cd BLAS; ./xblat1s > sblat1.out    ; \
	           ./xblat1d > dblat1.out    ; \
	           ./xblat1c > cblat1.out    ; \
	           ./xblat1z > zblat1.out    ) 
	( cd BLAS/TESTING; $(MAKE) -f Makeblat2 )
	( cd BLAS; ./xblat2s < sblat2.in     ; \
	           ./xblat2d < dblat2.in     ; \
	           ./xblat2c < cblat2.in     ; \
	           ./xblat2z < zblat2.in     )
	( cd BLAS/TESTING; $(MAKE) -f Makeblat3 )
	( cd BLAS; ./xblat3s < sblat3.in     ; \
	           ./xblat3d < dblat3.in     ; \
	           ./xblat3c < cblat3.in     ; \
	           ./xblat3z < zblat3.in     ) 

cblas_testing: blaslib
	( cd CBLAS ; $(MAKE) cblas_testing)
	( cd CBLAS ; $(MAKE) runtst)



html:
	@echo "LAPACK HTML PAGES GENRATION with Doxygen"
	doxygen DOCS/Doxyfile
	@echo "=================="	
	@echo "LAPACK HTML PAGES GENRATED in DOCS/explore-html"
	@echo "Usage: open DOCS/explore-html/index.html"
	@echo "Online version available at http://www.netlib.org/lapack/explore-html/"
	@echo "=================="

man:
	@echo "LAPACK MAN PAGES GENRATION with Doxygen"
	doxygen DOCS/Doxyfile_man
	@echo "=================="
	@echo "LAPACK MAN PAGES GENRATED in DOCS/MAN"
	@echo "Set your MANPATH env variable accordingly"
	@echo "Usage: man dgetrf.f"
	@echo "=================="

cleanlib:
	( cd INSTALL; $(MAKE) clean )
	( cd BLAS/SRC; $(MAKE) clean )
	( cd CBLAS; $(MAKE) clean )
	( cd SRC; $(MAKE) clean )
	( cd SRC/VARIANTS; $(MAKE) clean )
	( cd TESTING/MATGEN; $(MAKE) clean )
	( cd LAPACKE; $(MAKE) clean )


cleanblas_testing:	
	( cd BLAS/TESTING; $(MAKE) -f Makeblat1 clean )
	( cd BLAS/TESTING; $(MAKE) -f Makeblat2 clean )
	( cd BLAS/TESTING; $(MAKE) -f Makeblat3 clean )
	( cd BLAS; rm -f xblat* )

cleancblas_testing:
	( cd CBLAS; $(MAKE) cleanexe )

cleantesting:
	( cd TESTING/LIN; $(MAKE) clean )
	( cd TESTING/EIG; $(MAKE) clean )
	( cd TESTING; rm -f xlin* xeig* )

cleanall: cleanlib cleanblas_testing cleancblas_testing cleantesting 
	rm -f *.a TESTING/*.out INSTALL/test*  BLAS/*.out

=== CBLAS/Makefile ===
include ../make.inc

all:
	cd include && cp cblas_mangling_with_flags.h cblas_mangling.h
	cd src && $(MAKE) all


clean: cleanlib

cleanlib:
	cd src && $(MAKE) clean

cleanexe:
	cd testing && $(MAKE) cleanexe

cleanall: clean cleanexe
	rm -f $(CBLASLIB)
	cd examples && rm -f *.o cblas_ex1 cblas_ex2

cblas_testing:
	cd testing && $(MAKE) all

runtst:
	cd testing && $(MAKE) run
	
example: all
	cd examples && make all

=== LAPACKE/CMakeLists.txt ===
message(STATUS "LAPACKE enable")
enable_language(C)

set(LAPACK_INSTALL_EXPORT_NAME lapacke-targets)

# Create a header file netlib.h for the routines called in my C programs
include(FortranCInterface)
FortranCInterface_HEADER( ${CMAKE_CURRENT_SOURCE_DIR}/include/lapacke_mangling.h 
                          MACRO_NAMESPACE "LAPACK_"
                          SYMBOL_NAMESPACE "LAPACK_" )

# Old way to detect mangling
#include(FortranMangling)
#FORTRAN_MANGLING(CDEFS)
#set(CDEFS ${CDEFS} CACHE STRING "Fortran Mangling" FORCE)
#MESSAGE(STATUS "=========")

# --------------------------------------------------
# Compiler Flags
#ADD_DEFINITIONS( "-D${CDEFS}")

if (WIN32 AND NOT UNIX)
 ADD_DEFINITIONS(-DHAVE_LAPACK_CONFIG_H -DLAPACK_COMPLEX_STRUCTURE)
 MESSAGE (STATUS "Windows BUILD")
endif (WIN32 AND NOT UNIX)

get_directory_property( DirDefs COMPILE_DEFINITIONS )

include_directories( include )
add_subdirectory(include)
add_subdirectory(src)
add_subdirectory(utils)

macro(append_subdir_files variable dirname)
get_directory_property(holder DIRECTORY ${dirname} DEFINITION ${variable})
foreach(depfile ${holder})
  list(APPEND ${variable} "${dirname}/${depfile}")
endforeach()
endmacro()

append_subdir_files(LAPACKE_INCLUDE "include")
append_subdir_files(SRC_OBJ "src")
append_subdir_files(SRCX_OBJ "src")
append_subdir_files(MATGEN_OBJ "src")
append_subdir_files(UTILS_OBJ "utils")

if (USE_XBLAS)
   add_library(lapacke ${SRC_OBJ} ${SRCX_OBJ} ${UTILS_OBJ})
   target_link_libraries(lapacke ${LAPACK_LIBRARIES} ${BLAS_LIBRARIES} ${XBLAS_LIBRARY})
else (USE_XBLAS)
  if (LAPACKE_WITH_TMG)
   add_library(lapacke ${SRC_OBJ} ${MATGEN_OBJ} ${UTILS_OBJ})
   target_link_libraries(lapacke tmglib ${LAPACK_LIBRARIES} ${BLAS_LIBRARIES})
  else (LAPACKE_WITH_TMG)
   add_library(lapacke ${SRC_OBJ} ${UTILS_OBJ})
   target_link_libraries(lapacke ${LAPACK_LIBRARIES} ${BLAS_LIBRARIES})
  endif(LAPACKE_WITH_TMG)
endif(USE_XBLAS)

lapack_install_library(lapacke)
INSTALL( FILES ${LAPACKE_INCLUDE} DESTINATION include )

if(BUILD_TESTING)
   add_subdirectory(example)
endif(BUILD_TESTING)


configure_file(${CMAKE_CURRENT_SOURCE_DIR}/lapacke.pc.in ${CMAKE_CURRENT_BINARY_DIR}/lapacke.pc)
 install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/lapacke.pc
  DESTINATION ${PKG_CONFIG_DIR}
   )

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/lapacke-config-version.cmake.in
  ${LAPACK_BINARY_DIR}/lapacke-config-version.cmake @ONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/lapacke-config-build.cmake.in
  ${LAPACK_BINARY_DIR}/lapacke-config.cmake @ONLY)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/lapacke-config-install.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/lapacke-config.cmake @ONLY)
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/lapacke-config.cmake
  ${LAPACK_BINARY_DIR}/lapacke-config-version.cmake
  DESTINATION lib/cmake/lapacke-${LAPACK_VERSION}
  )

install(EXPORT lapacke-targets
  DESTINATION lib/cmake/lapacke-${LAPACK_VERSION})

=== CBLAS/testing/Makefile ===
#
# The Makefile compiles c wrappers and testers for CBLAS.  
#

include ../../make.inc

# Archive files necessary to compile
LIB = $(CBLASLIB) $(BLASLIB) 

# Object files for single real precision
stestl1o = c_sblas1.o

stestl2o = c_sblas2.o c_s2chke.o auxiliary.o c_xerbla.o

stestl3o = c_sblas3.o c_s3chke.o auxiliary.o c_xerbla.o

# Object files for double real precision
dtestl1o = c_dblas1.o

dtestl2o = c_dblas2.o c_d2chke.o auxiliary.o c_xerbla.o

dtestl3o = c_dblas3.o c_d3chke.o auxiliary.o c_xerbla.o

# Object files for single complex precision
ctestl1o = c_cblas1.o

ctestl2o = c_cblas2.o c_c2chke.o auxiliary.o c_xerbla.o

ctestl3o = c_cblas3.o c_c3chke.o auxiliary.o c_xerbla.o

# Object files for double complex precision
ztestl1o = c_zblas1.o 

ztestl2o = c_zblas2.o c_z2chke.o auxiliary.o c_xerbla.o

ztestl3o = c_zblas3.o c_z3chke.o auxiliary.o c_xerbla.o

all: all1 all2 all3 
all1: stest1 dtest1 ctest1 ztest1 
all2: stest2 dtest2 ctest2 ztest2
all3: stest3 dtest3 ctest3 ztest3

clean:
	rm -f core *.o a.out x*
cleanobj:
	rm -f core *.o a.out 
cleanexe:
	rm -f x* 

stest1: xscblat1
dtest1: xdcblat1
ctest1: xccblat1
ztest1: xzcblat1

stest2: xscblat2
dtest2: xdcblat2
ctest2: xccblat2
ztest2: xzcblat2

stest3: xscblat3
dtest3: xdcblat3
ctest3: xccblat3
ztest3: xzcblat3

#
# Compile each precision
#

# Single real
xscblat1: $(stestl1o) c_sblat1.o
	$(LOADER) $(LOADOPTS) -o xscblat1 c_sblat1.o $(stestl1o) $(LIB)
xscblat2: $(stestl2o) c_sblat2.o
	$(LOADER) $(LOADOPTS) -o xscblat2 c_sblat2.o $(stestl2o) $(LIB)
xscblat3: $(stestl3o) c_sblat3.o
	$(LOADER) $(LOADOPTS) -o xscblat3 c_sblat3.o $(stestl3o) $(LIB)
# Double real
xdcblat1: $(dtestl1o) c_dblat1.o
	$(LOADER) $(LOADOPTS) -o xdcblat1 c_dblat1.o $(dtestl1o) $(LIB)
xdcblat2: $(dtestl2o) c_dblat2.o
	$(LOADER) $(LOADOPTS) -o xdcblat2 c_dblat2.o $(dtestl2o) $(LIB)
xdcblat3: $(dtestl3o) c_dblat3.o
	$(LOADER) $(LOADOPTS) -o xdcblat3 c_dblat3.o $(dtestl3o) $(LIB)
 
# Single complex
xccblat1: $(ctestl1o) c_cblat1.o
	$(LOADER) $(LOADOPTS) -o xccblat1 c_cblat1.o $(ctestl1o) $(LIB)
xccblat2: $(ctestl2o) c_cblat2.o
	$(LOADER) $(LOADOPTS) -o xccblat2 c_cblat2.o $(ctestl2o) $(LIB)
xccblat3: $(ctestl3o) c_cblat3.o
	$(LOADER) $(LOADOPTS) -o xccblat3 c_cblat3.o $(ctestl3o) $(LIB)

# Double complex 
xzcblat1: $(ztestl1o) c_zblat1.o
	$(LOADER) $(LOADOPTS) -o xzcblat1 c_zblat1.o $(ztestl1o) $(LIB)
xzcblat2: $(ztestl2o) c_zblat2.o
	$(LOADER) $(LOADOPTS) -o xzcblat2 c_zblat2.o $(ztestl2o) $(LIB)
xzcblat3: $(ztestl3o) c_zblat3.o
	$(LOADER) $(LOADOPTS) -o xzcblat3 c_zblat3.o $(ztestl3o) $(LIB)
   

# RUN TESTS
run:
	@echo "--> TESTING CBLAS 1 - SINGLE PRECISION <--"
	@./xscblat1 > stest1.out
	@echo "--> TESTING CBLAS 1 - DOUBLE PRECISION <--"
	@./xdcblat1  > dtest1.out
	@echo "--> TESTING CBLAS 1 - COMPLEX PRECISION <--"
	@./xccblat1  > ctest1.out
	@echo "--> TESTING CBLAS 1 - DOUBLE COMPLEX PRECISION <--"
	@./xzcblat1	 > ztest1.out
	@echo "--> TESTING CBLAS 2 - SINGLE PRECISION <--"
	@./xscblat2 < sin2 > stest2.out
	@echo "--> TESTING CBLAS 2 - DOUBLE PRECISION <--"
	@./xdcblat2 < din2 > dtest2.out
	@echo "--> TESTING CBLAS 2 - COMPLEX PRECISION <--"
	@./xccblat2 < cin2 > ctest2.out
	@echo "--> TESTING CBLAS 2 - DOUBLE COMPLEX PRECISION <--"
	@./xzcblat2	< zin2	> ztest2.out
	@echo "--> TESTING CBLAS 3 - SINGLE PRECISION <--"
	@./xscblat3 < sin3 > stest3.out
	@echo "--> TESTING CBLAS 3 - DOUBLE PRECISION <--"
	@./xdcblat3 < din3 > dtest3.out
	@echo "--> TESTING CBLAS 3 - COMPLEX PRECISION <--"
	@./xccblat3 < cin3 > ctest3.out
	@echo "--> TESTING CBLAS 3 - DOUBLE COMPLEX PRECISION <--"
	@./xzcblat3	< zin3 > ztest3.out	
	
.SUFFIXES: .o .f .c

.c.o:
	$(CC) -c $(CFLAGS) -I ../include -o $@ $<
	
.f.o: 
	$(FORTRAN) $(OPTS) -c $< -o $@

=== debian/changelog ===
lapack (3.6.0-2ubuntu2) xenial; urgency=medium

  * Don't run the blas-testsuite autopkg test, apparently it has known
    test failures on i386.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Jan 2016 02:16:57 +0100

lapack (3.6.0-2ubuntu1) xenial; urgency=medium

  * Don't run the lapack-testsuite autopkg test, apparently it has known
    test failures, which are not regressions. See Debian #811191.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Jan 2016 19:25:04 +0100

lapack (3.6.0-2) unstable; urgency=low

  * Build deprecated routines in LAPACK and LAPACKE. (Closes: #810143)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 07 Jan 2016 11:00:31 +0100

lapack (3.6.0-1) unstable; urgency=low

  * Imported Upstream version 3.6.0
  * No longer repack upstream tarball.
  * d/copyright: rewrite in machine readable format 1.0.
  * Remove patches applied upstream.
    + cgesvd-zgesvd-stack-corruption.patch
    + zstemr-n2.patch
    + zlanhf-clanhf-norm.patch
    + dormlq_interface_check.patch
    + dlansy_1_norm_segfault.patch
    + dlange_rowmajor_inconsistent.patch
  * doxygen-exclude-binary-objects.patch: drop patch, no longer needed.
  * decouple_gcc.diff: remove patch.
    Add equivalent functionality in the make.inc rule of debian/rules.
  * lapack_testing.patch: drop useless patch.
  * fix-typos.patch: new patch, fixes various typos.
    Thanks to lintian!
  * doxygen-strip-source.patch: new patch.
    Suppresses verbatim source code from Doxygen output, to save space.
  * Build libblas* binary packages (taken over from src:blas).
    + New patches:
      - cblas-makerule.patch
      - cblas-test-output.patch
      - cblas-zblat2.patch
      - icamax-izamax-extended-precision.patch
    + libblas-doc is now a transitional package (depends on
      liblapack-doc-man). Unmaintained cinterface.pdf and faq.html have
      been dropped.
    + libblas-test: ship test data files in /usr/lib/libblas.
    + libblas-dev now suggests liblapack-doc{,-man}.
    + Patches not taken from src:blas:
      - an apparently wrong patch for crotg.
      - the big patch for dealing with info codes in cblas routines when
        used in row major order, when xerbla was overridden by the user.
        The modified behavior was debatable, and at any rate, it is not
        implemented in ATLAS and OpenBLAS.
  * Ship all manpages (including BLAS') in liblapack-doc-man.
    Drop no_blas_manpages.patch. Incidentally, all BLAS routines now have
    manpages, including the xDOT ones. (Closes: #511574)
  * LAPACK testsuite in liblapack-test:
    + dynamically link test programs.
    + Move test input data to /usr/lib/lapack.
    + Ship a script for running all tests in /u/s/doc/liblapack-test/examples.
  * liblapack{,e}-dev now suggest liblapack-doc{,-man}.
  * Drop liblapack-dbg, migrate to automatic debug packages.
  * d/liblapack-doc.dirs: delete it, no need for these empty dirs.
  * Remove useless *.md5 and *.map in liblapack-doc.
  * Add autopkgtest for BLAS and LAPACK testsuites.
  * Various improvements to package descriptions.
  * Ship lapacke.pc in liblapacke-dev.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 06 Jan 2016 11:35:04 +0100

lapack (3.5.0-5) unstable; urgency=medium

  * Fix static libraries: they were compiled with -fPIC.
  * Add missing dependency of liblapacke-dev on libblas-dev and liblapack-dev.
  * Package tmglib. (Closes: #772196)
    + new libtmglib3 and libtmglib-dev packages.
    + now include libtmglib wrappers in lapacke. In particular, drop
      d/p/lapacke_no_matgen.patch.
  * Use upstream version number for filename of shared libraries.
  * Add debug package liblapack-dbg.
  * Remove obsolete Conflicts/Replaces for lapack{,3}-{pic,test,doc}.
  * Drop transitional package liblapack3gf.
  * New patches taken from upstream:
    + dlange_rowmajor_inconsistent.patch
    + dlansy_1_norm_segfault.patch
    + dormlq_interface_check.patch

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 31 Oct 2015 22:27:52 +0100

lapack (3.5.0-4) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Add lapack-netlib.pc support with update-alternatives.

  [ Sébastien Villemot ]
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 15 Oct 2014 21:56:29 +0200

lapack (3.5.0-3) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New patches from upstream and OpenBLAS to fix bugs:
    - cgesvd-zgesvd-stack-corruption.patch
    - zlanhf-clanhf-norm.patch
    - zstemr-n2.patch
  * Remove Sylvestre Ledru from Uploaders. Thanks Sylvestre for your work!
  * ia64_ignore_testfailures.patch: drop patch, ia64 is now gone.
  * Drop obsolete code in maintainer scripts to deal with the transition
    liblapack.so.3gf => liblapack.so.3.

  [ Martin Pitt ]
  * gcc is not enough for the xerbla-c test as we also need libc6-dev and
    others. Just upgrade the dependency to build-essential. (Closes: #740174)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 07 Aug 2014 15:41:29 +0200

=== debian/control ===
Source: lapack
Section: libs
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 9.20150519+ddebs), gfortran, python, dpkg-dev (>= 1.16.1~)
Build-Depends-Indep: doxygen, graphviz
Standards-Version: 3.9.6
Homepage: http://www.netlib.org/lapack/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/lapack.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/lapack.git

Package: liblapack3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: liblapack.so.3
Description: Library of linear algebra routines 3 - shared version
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 This package contains a shared version of the library.

Package: liblapacke
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: liblapacke.so.3
Description: Library of linear algebra routines 3 - C lib shared version
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 This package contains the Standard C language library for LAPACK.

Package: liblapacke-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, liblapacke (= ${binary:Version}), libblas-dev | libblas.so,
         liblapack-dev | liblapack.so, libtmglib-dev
Suggests: liblapack-doc-man, liblapack-doc
Description: Library of linear algebra routines 3 - Headers
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 This package contains development files for the C language library for LAPACK,
 including a static version of the library.

Package: libtmglib3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: test matrix generators of LAPACK - shared version
 libtmglib is a component of the LAPACK library, containing routines for
 generation of input matrices for testing and timing of LAPACK.
 .
 This package contains a shared version of the library.

Package: libtmglib-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libtmglib3 (= ${binary:Version}), libblas-dev | libblas.so,
         liblapack-dev | liblapack.so
Description: test matrix generators of LAPACK - development files
 libtmglib is a component of the LAPACK library, containing routines for
 generation of input matrices for testing and timing of LAPACK.
 .
 This package contains development files, including a static version of the
 library.

Package: liblapack-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, liblapack3 (= ${binary:Version}),
 libblas-dev | libblas.so
Provides: liblapack.so
Suggests: liblapack-doc-man, liblapack-doc
Description: Library of linear algebra routines 3 - static version
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 This package contains a static version of the library.

Package: liblapack-pic
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, liblapack3 (= ${binary:Version})
Description: Library of linear algebra routines 3 - static PIC version
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 Normally one would want to use non-PIC code for static linking.  In
 this case, install liblapack-dev.  This package is provided for other
 packages, such as ATLAS, needing access to PIC versions of the lapack
 objects in their own build process.

Package: liblapack-test
Section: devel
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: python
Description: Library of linear algebra routines 3 - testing programs
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 These testing programs have been run against the
 shared library in the lapack package.  The results have been
 collected in the files test_results.  These
 programs are provided separately here so that the user can
 test and compare alternate versions of the lapack libraries,
 such as those provided by the ATLAS packages, and the lapack
 package.

Package: liblapack-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Library of linear algebra routines 3 - documentation (HTML)
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 This package contains the Lapack User's Guide manual in HTML format.

Package: liblapack-doc-man
Section: doc
Architecture: all
Depends: ${misc:Depends}
Breaks: libblas-doc (<< 3.6.0)
Replaces: libblas-doc (<< 3.6.0)
Description: Library of linear algebra routines 3 - documentation (manual pages)
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 This package contains manpages for all BLAS and LAPACK routines.

Package: libblas3
Architecture: any
Provides: libblas.so.3
Depends: ${shlibs:Depends}, ${misc:Depends}, libblas-common
Description: Basic Linear Algebra Reference implementations, shared library
 BLAS (Basic Linear Algebra Subroutines) is a set of efficient
 routines for most of the basic vector and matrix operations.
 They are widely used as the basis for other high quality linear
 algebra software, for example lapack and linpack.  This
 implementation is the Fortran 77 reference implementation found
 at netlib.
 .
 This package contains a shared version of the library.

Package: libblas-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Dependency package for all BLAS implementations
 The only purpose of this empty package is to ensure multi-arch safety of
 different BLAS implementations. See bug #760936 for more details.

Package: libblas-dev
Architecture: any
Section: libdevel
Provides: libblas.so
Depends: libblas3 (= ${binary:Version}), ${misc:Depends}, gfortran
Suggests: liblapack-doc-man, liblapack-doc
Description: Basic Linear Algebra Subroutines 3, static library
 This package is a binary incompatible upgrade to the blas-dev
 package. Several minor changes to the C interface have been
 incorporated.
 .
 BLAS (Basic Linear Algebra Subroutines) is a set of efficient
 routines for most of the basic vector and matrix operations.
 They are widely used as the basis for other high quality linear
 algebra software, for example lapack and linpack.  This
 implementation is the Fortran 77 reference implementation found
 at netlib.
 .
 This package contains a static version of the library.

Package: libblas-test
Architecture: any
Section: devel
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Basic Linear Algebra Subroutines 3, testing programs
 BLAS (Basic Linear Algebra Subroutines) is a set of efficient
 routines for most of the basic vector and matrix operations.
 They are widely used as the basis for other high quality linear
 algebra software, for example lapack and linpack.  This
 implementation is the Fortran 77 reference implementation found
 at netlib.
 .
 This package contains a set of programs which test the integrity of an
 installed blas-compatible shared library. These programs may therefore be used
 to test the libraries provided by the blas package as well as those provided
 by the libatlas3-base and libopenblas-base packages. The programs are
 dynamically linked -- one can explicitly select a library to test by setting
 the libblas.so.3 alternative, or by using the LD_LIBRARY_PATH or LD_PRELOAD
 environment variables. Likewise, one can display the library selected using
 the ldd program in an identical environment.

Package: libblas-doc
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, liblapack-doc-man
Description: Transitional package for BLAS manpages
 This is a transitional dummy package. It can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SO:=3

# xerblas_ and LAPACK_xerblas must be overrideable by applications
# --dynamic-list does not work with gold, so drop the flag completely
BUILDFLAGS_ENV:=DEB_LDFLAGS_MAINT_STRIP="-Wl,-Bsymbolic-functions"
LDFLAGS:=$(shell $(BUILDFLAGS_ENV) dpkg-buildflags --get LDFLAGS)

F77:=gfortran
FFLAGS:=$(shell dpkg-buildflags --get FFLAGS)
FFLAGS_NOOPT:=$(shell DEB_BUILD_OPTIONS=noopt dpkg-buildflags --get FFLAGS)

CC:=/usr/bin/cc
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)

ifeq ($(DEB_HOST_ARCH),alpha)
  FFLAGS += -mieee
  FFLAGS_NOOPT += -mieee
endif

# On arches with extended precision, this flag is used
# for BLAS when compiling i{c,z}amax.f and the BLAS testsuite,
# in order to avoid test failures.
# See also debian/patches/icamax-izamax-extended-precision.patch
ifneq (,$(filter $(DEB_HOST_ARCH_CPU),i386 m68k))
  FFLAGS_FLOAT_STORE := -ffloat-store
  export FFLAGS_FLOAT_STORE
endif

FFLAGS_BLAS_TESTSUITE := $(FFLAGS) $(FFLAGS_FLOAT_STORE)

# Using the -frecursive flag is the solution recommended by upstream for #693269
# However, we don't want to use -frecursive for the LAPACK testsuite, it leads to
#  segfaults on mips{,el} (xeigtstz allocates too much space on the stack)
FFLAGS_LAPACK_TESTSUITE := $(FFLAGS)
FFLAGS += -frecursive
FFLAGS_NOOPT += -frecursive

# Support parallel build
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@ --parallel

make.inc: INSTALL/make.inc.gfortran
	sed -e "s,\(^CC  *=\).*,\1 /usr/bin/cc,1" \
	    -e "s,\(^NOOPT  *=\).*,\1 \$$(PICOPTS) $(FFLAGS_NOOPT),1" \
	    -e "s,\(^OPTS  *=\).*,\1 \$$(PICOPTS) $(FFLAGS),1" \
	    -e "s/\(^LOADOPTS  *=\).*/\1 $(LDFLAGS)/1" \
	    -e "s,\(^CFLAGS  *=\).*,\1 $(CPPFLAGS) \$$(PICOPTS) $(CFLAGS),1" \
	    < $< > $@
	# Build deprecated routines (see #810143)
	echo "BUILD_DEPRECATED=1" >> $@

override_dh_auto_clean: make.inc
	$(MAKE) cleanall
	rm -rf debian/*_stamp debian/*_results lib*.so*
	rm -rf debian/test/ debian/time/
	rm -f TESTING/tmp TESTING/testing_results.txt
	rm -f LAPACKE/include/lapacke_mangling.h
	rm -f CBLAS/include/cblas_mangling.h
	rm -rf DOCS/explore-html/ DOCS/man/
	rm -f output_err
	rm -f lapack-netlib.pc LAPACKE/lapacke.pc BLAS/blas-netlib.pc
	rm -f make.inc

override_dh_auto_configure: make.inc
	# Create lapack-netlib.pc
	sed -e "s%@LAPACK_VERSION@%$(DEB_VERSION_UPSTREAM)%" \
	    -e "s%@prefix@%/usr%"  \
	    -e "s%@libdir@%/usr/lib%" < lapack.pc.in > lapack-netlib.pc

	# Create lapacke.pc
	sed -e "s%@LAPACK_VERSION@%$(DEB_VERSION_UPSTREAM)%" \
	    -e "s%@prefix@%/usr%"  \
	    -e "s%@libdir@%/usr/lib%" < LAPACKE/lapacke.pc.in > LAPACKE/lapacke.pc

	# Create blas-netlib.pc
	sed -e "s%@LAPACK_VERSION@%$(DEB_VERSION_UPSTREAM)%" \
	    -e "s%@prefix@%/usr%"  \
	    -e "s%@libdir@%/usr/lib%" < BLAS/blas.pc.in > BLAS/blas-netlib.pc

override_dh_auto_build-arch:
	# Build pic libraries
	$(MAKE) cleanlib
	$(MAKE) blaslib cblaslib lapacklib tmglib lapackelib PICOPTS=-fPIC
	mv librefblas.a librefblas_pic.a
	mv libcblas.a libcblas_pic.a
	mv liblapack.a liblapack_pic.a
	mv libtmglib.a libtmglib_pic.a
	mv liblapacke.a liblapacke_pic.a

	# Build libblas.so.*
	ar d librefblas_pic.a xerbla.o # We want to use the xerbla.o from libcblas_pic.a
	mkdir -p tmp
	cd tmp && ar x ../librefblas_pic.a && ar x ../libcblas_pic.a
	$(F77) -shared -Wl,-soname=libblas.so.$(SO) -o libblas.so.$(DEB_VERSION_UPSTREAM) tmp/*.o $(LDFLAGS)
	rm -rf tmp
	ln -s libblas.so.$(DEB_VERSION_UPSTREAM) libblas.so.$(SO)
	ln -s libblas.so.$(DEB_VERSION_UPSTREAM) libblas.so

	# Build liblapack.so.*
	mkdir -p tmp
	cd tmp && ar x ../liblapack_pic.a
	$(F77) -shared -Wl,-soname=liblapack.so.$(SO) -o liblapack.so.$(DEB_VERSION_UPSTREAM) tmp/*.o  -L. -lblas $(LDFLAGS)
	rm -rf tmp
	ln -s liblapack.so.$(DEB_VERSION_UPSTREAM) liblapack.so.$(SO)
	ln -s liblapack.so.$(DEB_VERSION_UPSTREAM) liblapack.so

	# Build libtmglib.so.*
	mkdir -p tmp
	cd tmp && ar x ../libtmglib_pic.a
	$(F77) -shared -Wl,-soname=libtmglib.so.$(SO) -o libtmglib.so.$(DEB_VERSION_UPSTREAM) tmp/*.o  -L. -lblas -llapack $(LDFLAGS)
	rm -rf tmp
	ln -s libtmglib.so.$(DEB_VERSION_UPSTREAM) libtmglib.so.$(SO)
	ln -s libtmglib.so.$(DEB_VERSION_UPSTREAM) libtmglib.so

	# Build liblapacke.so.*
	mkdir -p tmp
	cd tmp && ar x ../liblapacke_pic.a
	$(CC) -shared -Wl,-soname=liblapacke.so.$(SO) -o liblapacke.so.$(DEB_VERSION_UPSTREAM) tmp/*.o  -L. -lblas -llapack -ltmglib $(LDFLAGS)
	rm -rf tmp
	ln -s liblapacke.so.$(DEB_VERSION_UPSTREAM) liblapacke.so.$(SO)
	ln -s liblapacke.so.$(DEB_VERSION_UPSTREAM) liblapacke.so

	# Build static versions
	$(MAKE) cleanlib
	$(MAKE) blaslib cblaslib lapacklib tmglib lapackelib

	# Build libblas.a
	ar d librefblas.a xerbla.o # We want to use the xerbla.o from libcblas.a
	mkdir -p tmp
	cd tmp && ar x ../librefblas.a && ar x ../libcblas.a
	ar r libblas.a tmp/*.o
	rm -rf tmp

	# Build the test programs, in order to avoid FTBFS if DEB_BUILD_OPTIONS contains nocheck
	$(MAKE) OPTS="$(FFLAGS_BLAS_TESTSUITE)" BLASLIB="../../libblas.so" -C BLAS/TESTING -f Makeblat1
	$(MAKE) OPTS="$(FFLAGS_BLAS_TESTSUITE)" BLASLIB="../../libblas.so" -C BLAS/TESTING -f Makeblat2
	$(MAKE) OPTS="$(FFLAGS_BLAS_TESTSUITE)" BLASLIB="../../libblas.so" -C BLAS/TESTING -f Makeblat3
	$(MAKE) OPTS="$(FFLAGS_BLAS_TESTSUITE)" BLASLIB="../../libblas.so" CBLASLIB="" -C CBLAS/testing
	$(MAKE) OPTS="$(FFLAGS_LAPACK_TESTSUITE)" BLASLIB="../../libblas.so" LAPACKLIB="liblapack.so" TMGLIB="libtmglib.so" -C TESTING xeigtstc xeigtstd xeigtsts xeigtstz xlintstc xlintstd xlintsts xlintstz xlintstds xlintstrfc xlintstrfd xlintstrfs xlintstrfz xlintstzc

override_dh_auto_build-indep:
	$(MAKE) html
	# Remove useless doxygen-generated files
	find DOCS/explore-html/ \( -name '*.map' -or -name '*.md5' \) -delete

	$(MAKE) man

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test-arch:
	# Run BLAS tests, output the result, and stop if one test fails
	LD_LIBRARY_PATH=$$(pwd):$$LD_LIBRARY_PATH $(MAKE) blas_testing
	cat BLAS/*.out
	! grep -q -i fail BLAS/*.out

	# Run CBLAS tests, output the result, and stop if one test fails
	LD_LIBRARY_PATH=$$(pwd):$$LD_LIBRARY_PATH $(MAKE) cblas_testing
	cat CBLAS/testing/*.out
	! grep -q -i fail CBLAS/testing/*.out

	# Run LAPACK tests, but don't stop if one test fails
	# Only a summary is displayed; full test results in TESTING/testing_results.txt
	LD_LIBRARY_PATH=$$(pwd):$$LD_LIBRARY_PATH $(MAKE) lapack_testing
else
override_dh_auto_test-arch:
	touch TESTING/testing_results.txt
endif

override_dh_makeshlibs:
	dh_makeshlibs -pliblapack3 -V "liblapack3 | liblapack.so.3" -n
	dh_makeshlibs -plibblas3 -V "libblas3 | libblas.so.3" -n
	dh_makeshlibs -a -Nliblapack3 -Nlibblas3

override_dh_shlibdeps:
	dh_shlibdeps -a -l $$(pwd)

override_dh_strip:
	dh_strip --ddeb-migration='liblapack-dbg (<< 3.6.0-1~)'

=== debian/tests/control ===
Tests: xerbla-fortran
Depends: liblapack-dev, gfortran

Tests: xerbla-c
Depends: liblapacke-dev, build-essential

#Tests: blas-testsuite
#Depends: libblas3, libblas-test

#Tests: lapack-testsuite
#Depends: libblas3, liblapack3, liblapack-test, python

=== debian/watch ===
version=3
http://www.netlib.org/lapack/ lapack-([\d\.]+)\.tgz

## lapack 3.6.1

=== debian/changelog ===
lapack (3.6.1-2) unstable; urgency=medium

  * d/control: add Breaks of liblapack3 against liblapack3gf. (Closes: #829152)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 15 Jul 2016 11:31:26 +0200

lapack (3.6.1-1) unstable; urgency=medium

  * Imported Upstream version 3.6.1
  * Remove patches applied upstream:
    + parallel_build.patch
    + cblas-makerule.patch
    + cblas-test-output.patch
    + cblas-zblat2.patch
  * fix-typos.patch: former patch applied upstream, but new typos detected by
    lintian, so update the patch.
  * d/control:
    + use secure URLs for Vcs-* fields.
    + bump Standards-Version to 3.9.8, no changes needed.
  * d/rules:
    + fix variable substitution in *.pc files.
    + use --dbgsym-migration option of dh_strip.
      This new option replaces --ddeb-migration.
      Accordingly update versioned B-D of debhelper.
  * Make the build reproducible.
    + remove tests results from liblapack3 doc directory.
    + use locale-independent ordering of object files when creating static lib.
    + Remove files generated by Doxygen which include build dir in pathnames.
    (Closes: #813309)
  * Make lapack-testsuite always succeed, since some failures are expected.
    (Closes: #811191)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 26 Jun 2016 15:43:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 9.20150519+ddebs), gfortran, python, dpkg-dev (>= 1.16.1~)
+Build-Depends: debhelper (>= 9.20160114~), gfortran, python, dpkg-dev (>= 1.16.1~)
 Build-Depends-Indep: doxygen, graphviz
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.netlib.org/lapack/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/lapack.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/lapack.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lapack.git
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/lapack.git
 
 Package: liblapack3
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: liblapack.so.3
+Breaks: liblapack3gf
 Description: Library of linear algebra routines 3 - shared version
  LAPACK version 3.X is a comprehensive FORTRAN library that does
  linear algebra operations including matrix inversions, least

=== debian/rules ===
--- 
+++ 
@@ -77,8 +77,8 @@
 override_dh_auto_configure: make.inc
 	# Create lapack-netlib.pc
 	sed -e "s%@LAPACK_VERSION@%$(DEB_VERSION_UPSTREAM)%" \
-	    -e "s%@prefix@%/usr%"  \
-	    -e "s%@libdir@%/usr/lib%" < lapack.pc.in > lapack-netlib.pc
+	    -e "s%@CMAKE_INSTALL_PREFIX@%/usr%"  \
+	    -e "s%@CMAKE_INSTALL_LIBDIR@%lib%" < lapack.pc.in > lapack-netlib.pc
 
 	# Create lapacke.pc
 	sed -e "s%@LAPACK_VERSION@%$(DEB_VERSION_UPSTREAM)%" \
@@ -87,8 +87,8 @@
 
 	# Create blas-netlib.pc
 	sed -e "s%@LAPACK_VERSION@%$(DEB_VERSION_UPSTREAM)%" \
-	    -e "s%@prefix@%/usr%"  \
-	    -e "s%@libdir@%/usr/lib%" < BLAS/blas.pc.in > BLAS/blas-netlib.pc
+	    -e "s%@CMAKE_INSTALL_PREFIX@%/usr%"  \
+	    -e "s%@CMAKE_INSTALL_LIBDIR@%lib%" < BLAS/blas.pc.in > BLAS/blas-netlib.pc
 
 override_dh_auto_build-arch:
 	# Build pic libraries
@@ -141,7 +141,7 @@
 	ar d librefblas.a xerbla.o # We want to use the xerbla.o from libcblas.a
 	mkdir -p tmp
 	cd tmp && ar x ../librefblas.a && ar x ../libcblas.a
-	ar r libblas.a tmp/*.o
+	ar r libblas.a $(shell LC_ALL=C ls tmp/*.o)
 	rm -rf tmp
 
 	# Build the test programs, in order to avoid FTBFS if DEB_BUILD_OPTIONS contains nocheck
@@ -157,6 +157,9 @@
 	find DOCS/explore-html/ \( -name '*.map' -or -name '*.md5' \) -delete
 
 	$(MAKE) man
+	# Remove directory reference files, because they include local build pathnames
+	# (but don't delete some __*__.3 files)
+	rm DOCS/man/man3/_[a-zA-Z]*
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test-arch:
@@ -187,4 +190,4 @@
 	dh_shlibdeps -a -l $$(pwd)
 
 override_dh_strip:
-	dh_strip --ddeb-migration='liblapack-dbg (<< 3.6.0-1~)'
+	dh_strip --dbgsym-migration='liblapack-dbg (<< 3.6.0-1~)'

=== debian/tests/control ===
Tests: xerbla-fortran
Depends: liblapack-dev, gfortran

Tests: xerbla-c
Depends: liblapacke-dev, build-essential

Tests: blas-testsuite
Depends: libblas3, libblas-test

Tests: lapack-testsuite
Depends: libblas3, liblapack3, liblapack-test, python

## lapack 3.7.0

=== debian/changelog ===
lapack (3.7.0-2) unstable; urgency=medium

  * Fix regression in libblas.a, which was empty since 3.6.1-1.
    The bug has been introduced in the fix for #813309: the $(shell LC_ALL=C ls
    tmp/*.o) construct used to have a consistent ordering of object files is
    evaluated too early, and results in an empty list. Replace it by a $$(env …)
    construct, which is evaluated after the object files have been created.
    (Closes: #863258)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 24 May 2017 16:24:37 +0200

lapack (3.7.0-1) unstable; urgency=medium

  * New upstream version 3.7.0
  * d/copyright: reflect upstream changes.
  * fix-typos.patch: former patch applied upstream, but new typos detected by
    lintian, so update the patch.
  * test-numbering.patch: new patch, needed for autopkgtest lapack-testsuite.
  * Bump to debhelper compat level 10.
  * Allow stderr for blas-testsuite autopkgtest. (Closes: #833567)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 29 Dec 2016 17:26:38 +0100

=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 endif
 
 %:
-	dh $@ --parallel
+	dh $@
 
 make.inc: INSTALL/make.inc.gfortran
 	sed -e "s,\(^CC  *=\).*,\1 /usr/bin/cc,1" \
@@ -77,8 +77,8 @@
 override_dh_auto_configure: make.inc
 	# Create lapack-netlib.pc
 	sed -e "s%@LAPACK_VERSION@%$(DEB_VERSION_UPSTREAM)%" \
-	    -e "s%@CMAKE_INSTALL_PREFIX@%/usr%"  \
-	    -e "s%@CMAKE_INSTALL_LIBDIR@%lib%" < lapack.pc.in > lapack-netlib.pc
+	    -e "s%@prefix@%/usr%"  \
+	    -e "s%@libdir@%/usr/lib%" < lapack.pc.in > lapack-netlib.pc
 
 	# Create lapacke.pc
 	sed -e "s%@LAPACK_VERSION@%$(DEB_VERSION_UPSTREAM)%" \
@@ -87,8 +87,8 @@
 
 	# Create blas-netlib.pc
 	sed -e "s%@LAPACK_VERSION@%$(DEB_VERSION_UPSTREAM)%" \
-	    -e "s%@CMAKE_INSTALL_PREFIX@%/usr%"  \
-	    -e "s%@CMAKE_INSTALL_LIBDIR@%lib%" < BLAS/blas.pc.in > BLAS/blas-netlib.pc
+	    -e "s%@prefix@%/usr%"  \
+	    -e "s%@libdir@%/usr/lib%" < BLAS/blas.pc.in > BLAS/blas-netlib.pc
 
 override_dh_auto_build-arch:
 	# Build pic libraries
@@ -141,7 +141,7 @@
 	ar d librefblas.a xerbla.o # We want to use the xerbla.o from libcblas.a
 	mkdir -p tmp
 	cd tmp && ar x ../librefblas.a && ar x ../libcblas.a
-	ar r libblas.a $(shell LC_ALL=C ls tmp/*.o)
+	ar r libblas.a $$(env LC_ALL=C ls tmp/*.o)
 	rm -rf tmp
 
 	# Build the test programs, in order to avoid FTBFS if DEB_BUILD_OPTIONS contains nocheck
